#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 coinbase-pro
version:              0.9.3.2
visibility:           public
id:                   coinbase-pro-0.9.3.2-9CsbrT49KivBlxCzJPxGK3
key:                  coinbase-pro-0.9.3.2-9CsbrT49KivBlxCzJPxGK3
license:              MIT
copyright:            2022 Michael Dunn <michaelsdunn1@gmail.com>
maintainer:           Michael Dunn <michaelsdunn1@gmail.com>
author:               Michael Dunn <michaelsdunn1@gmail.com>
homepage:             https://github.com/mdunnio/coinbase-pro#readme
synopsis:             Client for Coinbase Pro
description:          Client for Coinbase Pro REST and Websocket APIs
category:             Web, Finance
abi:                  705b20cf8d382d39d691e71273807296
exposed:              True
exposed-modules:
    CoinbasePro.Authenticated CoinbasePro.Authenticated.API
    CoinbasePro.Authenticated.Accounts
    CoinbasePro.Authenticated.CoinbaseAccounts
    CoinbasePro.Authenticated.Conversion
    CoinbasePro.Authenticated.Deposit CoinbasePro.Authenticated.Fills
    CoinbasePro.Authenticated.Headers CoinbasePro.Authenticated.Limits
    CoinbasePro.Authenticated.Oracle CoinbasePro.Authenticated.Orders
    CoinbasePro.Authenticated.Payment CoinbasePro.Authenticated.Profile
    CoinbasePro.Authenticated.Report CoinbasePro.Authenticated.Request
    CoinbasePro.Authenticated.Transfer
    CoinbasePro.Authenticated.Withdrawal CoinbasePro.Environment
    CoinbasePro.Headers CoinbasePro.MarketData.AggregateOrderBook
    CoinbasePro.MarketData.FullOrderBook CoinbasePro.MarketData.Types
    CoinbasePro.Request CoinbasePro.Types CoinbasePro.Unauthenticated
    CoinbasePro.Unauthenticated.API CoinbasePro.WebSocketFeed
    CoinbasePro.WebSocketFeed.Channel
    CoinbasePro.WebSocketFeed.Channel.Full.Activate
    CoinbasePro.WebSocketFeed.Channel.Full.Change
    CoinbasePro.WebSocketFeed.Channel.Full.Done
    CoinbasePro.WebSocketFeed.Channel.Full.Match
    CoinbasePro.WebSocketFeed.Channel.Full.Open
    CoinbasePro.WebSocketFeed.Channel.Full.Received
    CoinbasePro.WebSocketFeed.Channel.Heartbeat
    CoinbasePro.WebSocketFeed.Channel.Level2
    CoinbasePro.WebSocketFeed.Channel.Status
    CoinbasePro.WebSocketFeed.Channel.Ticker
    CoinbasePro.WebSocketFeed.Request
    CoinbasePro.WebSocketFeed.Response

hidden-modules:       Paths_coinbase_pro
import-dirs:          /usr/lib/ghc-9.2.8/site-local/coinbase-pro-0.9.3.2
library-dirs:         /usr/lib/ghc-9.2.8/site-local/coinbase-pro-0.9.3.2
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-coinbase-pro
hs-libraries:         HScoinbase-pro-0.9.3.2-9CsbrT49KivBlxCzJPxGK3
depends:
    HsOpenSSL-0.11.7.7-9ZcQkcs8vCjAMbXNWzPSMd
    aeson-2.1.2.1-3vSYNHOd39sCDqznIKH954
    aeson-casing-0.2.0.0-Ji00qhxfZhkHwgozsTcqRj
    async-2.2.5-BrTWnMUC2zMDZ2E35FeCoi base-4.16.4.0 binary-0.8.9.0
    bytestring-0.11.4.0 containers-0.6.5.1
    cryptonite-0.30-IWSlxLn64AfIKgnkjUp9nt exceptions-0.10.4
    http-api-data-0.5.1-GB3DgTglM6LHKLT8xDpPvU
    http-client-0.7.16-KExRSsbDlTIDNRxdxKOpIU
    http-client-tls-0.3.6.3-16bzQJ9IFwKGFyIcYjn3yN
    http-streams-0.8.9.9-8q3NhTIMEp4FomTjiZsIsH
    http-types-0.12.4-EOebiRmFbSBJx7fBXtlXnH
    io-streams-1.5.2.2-2kyjLNO8Ar9AQodJa1Ba8n
    memory-0.18.0-Hvum6HaH78UJG59LYyNLK1
    network-3.1.4.0-9VcJfHdcvDFHTEtyJROzpl
    servant-0.20.1-LT1Yp1In0xN1ht05MN72xn
    servant-client-0.20-4ntXHPZaBrrF7jn74l2kQJ
    servant-client-core-0.20-81etgCD5qZv3hQAGM4qupX
    tasty-1.4.3-2gR9WDhWbJHGLAofnQHAx7
    tasty-hunit-0.10.1-Evp2fCuYiBvGkCwbZsXNbN text-1.2.5.0
    time-1.11.1.1 transformers-0.5.6.2
    unagi-streams-0.2.7-BdLuXjjZrthJZN3SpeI0BQ
    unordered-containers-0.2.20-A3yVeSkjdcGAgke7XFfywE
    uuid-1.3.15-IPkhzd3f62DIM1WXeHXs3C
    vector-0.13.1.0-G7FmTKS6EuOC4CxSRTf251
    websockets-0.12.7.3-Fmpsm6gBouXCjvzihzqBkT
    wuss-2.0.1.1-EkzA8JhsEp8Ajxzk826Hqc

haddock-interfaces:
    /usr/share/doc/haskell-coinbase-pro/html/coinbase-pro.haddock

haddock-html:         /usr/share/doc/haskell-coinbase-pro/html
' | '/usr/bin/ghc-pkg-9.2.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

